<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\Relations\HasMany;

class Discipline extends Model
{
    //
    use HasFactory;

    protected $fillable = ['libelle','langue','indice'];

    public function horaires(): HasMany
    {
        return $this->hasMany(Horaire::class);
    }

    public function inspecteurs(): HasMany
    {
        return $this->hasMany(Inspecteur::class);
    }

    public function personnelEnseignants(): HasMany
    {
        return $this->hasMany(PersonnelEnseignant::class);
    }
}
